function mission:preIntro()
	
-- Force open the seal house UI
	local dockEntity = demandManager("VillageManager"):getNativeEntitiesWithComponentType("TKDiveDockController")[1]
	local diveDockController = dockEntity:getFirstComponentWithType("TKDiveDockController")
	if not diveDockController:isShowingSealStatusUI() then
		local posX, posY, posZ, zoom = diveDockController:getTargetCameraPositionAndZoom()
		demandManager("VillageInteractionManager"):setCameraPosition(posX, posY, posZ, zoom)
    	demandManager("VillageInteractionManager"):pickEntityWithoutTouch(dockEntity)
    end
    waitFor(function()
    	return diveDockController:isShowingSealStatusUI()
	end)
end

function mission:intro()

-- Display arrow on seal house in case the player closes the game during this active mission
	showAlertOnBuildingWithTag("arrow", "tag_building_diver_dock_shared")

-- Display arrow on the player seal
	showArrowOnLocatorSequence("locatorId_sealHouse_mySeal")	

-- keani dialog
	showDialogueRight({ characterKey = "keani", textKey = "mission_dive_update_seal_house_100", tone = "fact" })

-- Hide arrow on the player seal
	hideArrowOnLocatorSequence("locatorId_sealHouse_mySeal")

-- Display arrow on the player helper seal 
	showArrowOnLocatorSequence("locatorId_sealHouse_helper_1")	

-- keani dialog
	showDialogueRight({ characterKey = "keani", textKey = "mission_dive_update_seal_house_110" })

-- Hide arrow on the player helper seal 
	hideArrowOnLocatorSequence("locatorId_sealHouse_helper_1")

-- Display arrow on the locked helper seals
	showArrowOnLocatorSequence("locatorId_sealHouse_helper_2")

-- keani dialog
	showDialogueRight({ characterKey = "keani", textKey = "mission_dive_update_seal_house_120" })

-- Hide arrow on the locked helper seals
	hideArrowOnLocatorSequence("locatorId_sealHouse_helper_2")

-- Display arrow on the dive shop button
	showArrowOnLocatorSequenceWithOptions({rotation=135},"locatorId_sealHouse_diveShopButton")

-- keani dialog
	showDialogueRight({ characterKey = "keani", textKey = "mission_dive_update_seal_house_130" })
	hideDialogue()
	
end

function mission:outro()

-- Hide arrow on seal house 
	hideAlertOnBuildingWithTag("arrow", "tag_building_diver_dock_shared")

-- Hide arrow on the dive shop button
	hideArrowOnLocatorSequence("locatorId_sealHouse_diveShopButton")

end